#include <config.h>

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>

#include <scwm/scwmlib.h>

/*
** loads font or "fixed" on failure
*/
#ifndef I18N
XFontStruct *GetFontOrFixed(Display *disp, char *fontname)
{
  XFontStruct *fnt;

  if ((fnt = XLoadQueryFont(disp,fontname))==NULL)
  {
    fprintf(stderr,
            "[GetFontOrFixed]: WARNING -- can't get font %s, trying 'fixed'",
            fontname);
    /* fixed should always be avail, so try that */
    if ((fnt = XLoadQueryFont(disp,"fixed"))==NULL) 
    {
      fprintf(stderr,"[GetFontOrFixed]: ERROR -- can't get font 'fixed'");
    }
  }
  return fnt;
}
#else
XFontSet GetFontOrFixed(Display *disp, char *fontname)
{
  XFontSet fs;
  char **missing_set, *def_string;
  int missing_count;
  fs = XCreateFontSet(disp, fontname, &missing_set, &missing_count, &def_string);
  if (missing_count) {
    XFreeFontSet(disp, fs);
    fprintf(stderr, "[GetFontOrFixed]: WARNING -- can't get fontset %s, trying 'fixed,*-daewoo-*'",fontname);
    fs = XCreateFontSet(disp, fontname, &missing_set, &missing_count, &def_string);
  }
  return fs;
}
#endif
